%define upstream_name    Template-Plugin-Class
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Allow calling of class methods on arbitrary classes
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  perl(Template)
buildArch:      noarch


%description
Template::Plugin::Class allows you to call class methods on arbitrary classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.140.0-11.mga10
+ Revision: 2200754
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-10.mga9
+ Revision: 1805933
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-9.mga8
+ Revision: 1497270
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-8.mga7
+ Revision: 1271601
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-7.mga6
+ Revision: 1033885
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 940017
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 745849
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 686337
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 514844
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 36563
- mageia rebuild
- cleaning spec file
- imported package perl-Template-Plugin-Class


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 405531
- rebuild using %%perl_convert_version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2010.0
+ Revision: 373049
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-5mdv2009.0
+ Revision: 241950
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-3mdv2008.0
+ Revision: 86930
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2007.0
- Rebuild

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- new version
- no buildrequires on perl-devel, this is a Module-Build managed module

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-4mdk
- fix buildrequires

* Thu Mar 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-3mdk
- spec rewrite

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.12-2mdk
- rpmlint fixes

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.12-1mdk
- Initial build.

